﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Camp Roster Report
            </h1>

        </div>
        <div class="actions">
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>


    <div class="clearfix"></div>

    <div class="row place-left one-fourth">
        <label class="req-star" style="font-weight: bold">Program</label>
        <div class="input-control select" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ProgramId" chosen
                        data-placeholder="&nbsp"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
            </div>
        </div>
    </div>
    <br />
    <button class="primary place-left large button margin-left20 margin-top5" style="margin-top: 11px; padding-bottom: 9px; width: 90px; padding-top: 6px;" ng-click="runReport()" id="ConfirmInvoice">View</button>
    <div class="clearfix"></div>


    <div ng-show="IsRunReport" class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">

        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId" style="font-weight: bold">Schedule</label>
            <div class="input-control select" data-role="input-control">
                <select id="scheduleId" ng-change="scheduleChange()" ng-init="filter.scheduleId = '0'" ng-model="filter.scheduleId">
                    <option value='0'>All</option>
                    <option value="{{schedule.Id}}" ng-repeat="schedule in Model.Schedules">{{schedule.Lable}}</option>
                </select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId" style="font-weight: bold">Tuition</label>
            <div class="input-control select" data-role="input-control">
                <select id="filter.entryFeeId" ng-change="tuitionChange()" ng-model="filter.entryFeeId" ng-init="filter.entryFeeId = '0'" ng-disabled="filter.scheduleId==0">
                    <option value='0'>All</option>
                    <option value="{{charge.Id}}" ng-repeat="charge in Model.Charges | chargeFilter:filter">{{charge.Name}}</option>
                </select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId" style="font-weight: bold">&nbsp;</label>
            <button class="button link place-left on-left-more" style="padding-left: 0px" type="button" ng-click="clearFilters()">Clear filters</button>
        </div>

        <div class="clearfix" style="margin-bottom: 30px"></div>


        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="campRosterGrid" options="campRosterGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

</div>
<style>
    ::-webkit-scrollbar-track-piece {
        background: #eee
    }
</style>